CVE-2017-11170

MEDIUM

Description

The ReadTGAImage function in coders\tga.c in ImageMagick 7.0.5-6 has a memory leak vulnerability that can cause memory exhaustion via invalid colors data in the header of a TGA or VST file.

References

http://www.securityfocus.com/bid/99565

https://github.com/ImageMagick/ImageMagick/issues/472

Details

Source: MITRE

Published: 2017-07-11

Updated: 2019-10-03

Type: CWE-772

Risk Information

CVSS v2.0

Base Score: 6.8

Vector: AV:N/AC:M/Au:N/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 8.6

Severity: MEDIUM

CVSS v3.0

Base Score: 8.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Impact Score: 5.9

Exploitability Score: 2.8

Severity: HIGH

Tenable Plugins

View all (7 total)

IDNameProductFamilySeverity
107185openSUSE Security Update : ImageMagick (openSUSE-2018-230)NessusSuSE Local Security Checks
high
107116SUSE SLED12 / SLES12 Security Update : ImageMagick (SUSE-SU-2018:0581-1)NessusSuSE Local Security Checks
high
103333Fedora 25 : 1:emacs / ImageMagick / WindowMaker / autotrace / converseen / etc (2017-3a568adb31)NessusFedora Local Security Checks
high
103314Fedora 26 : 1:emacs / ImageMagick / WindowMaker / autotrace / converseen / etc (2017-8f27031c8f)NessusFedora Local Security Checks
high
102889Debian DLA-1081-1 : imagemagick security updateNessusDebian Local Security Checks
high
101950Ubuntu 14.04 LTS / 16.04 LTS / 17.04 : imagemagick vulnerabilities (USN-3363-1)NessusUbuntu Local Security Checks
high
101794Debian DSA-3914-1 : imagemagick - security updateNessusDebian Local Security Checks
high